Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq
Class Configuration

    java.lang.Object
      net.sf.dropboxmq.Configuration

All Implemented Interfaces:
  Serializable

    public class Configuration

extends Object
implements Serializable

Created: 12 Mar 2006

Version:
  $Revision: 226 $, $Date: 2011-03-05 20:51:47 -0700 (Sat, 05 Mar 2011) $
Author:
  Dwayne Schultz
See Also:
  Serialized Form

Field Summary
`static String` | `CLIENT_ID_PROPERTY`
`static String` | `CONNECTION_FACTORIES_PROPERTY`
`static boolean` | `CONSUME_EXPIRED_MESSAGES_DEFAULT`
`static String` | `CONSUME_EXPIRED_MESSAGES_PROPERTY`
`static String` | `DEFAULT_CONNECTION_FACTORY_NAME`
`static String` | `DEFAULT_QUEUE_CONNECTION_FACTORY_NAME`
`static String` | `DEFAULT_TOPIC_CONNECTION_FACTORY_NAME`
`static String` | `DEFAULT_XA_CONNECTION_FACTORY_NAME`
`static String` | `DEFAULT_XA_QUEUE_CONNECTION_FACTORY_NAME`
`static String` | `DEFAULT_XA_TOPIC_CONNECTION_FACTORY_NAME`
`static boolean` | `DELETE_COMPLETE_TRANSACTIONS_DEFAULT`
`static String` | `DELETE_COMPLETED_TRANSACTIONS_PROPERTY`
`static boolean` | `DELETE_EXPIRED_MESSAGES_DEFAULT`
`static String` | `DELETE_EXPIRED_MESSAGES_PROPERTY`
`static boolean` | `DELETE_PROCESSED_MESSAGES_DEFAULT`
`static String` | `DELETE_PROCESSED_MESSAGES_PROPERTY`
`static String` | `INITIAL_CONTEXT_FACTORY`
`static String` | `MESSAGE_TRANSCODER_FACTORY_PROPERTY`
`static String` | `PACKAGE`
`static long` | `POLLING_INTERVAL_DEFAULT`
`static String` | `POLLING_INTERVAL_PROPERTY`
`static boolean` | `PRESERVE_DELETED_DROPBOXES_DEFAULT`
`static String` | `PRESERVE_DELETED_DROPBOXES_PROPERTY`
`static String` | `QUEUE_CONNECTION_FACTORIES_PROPERTY`
`static int` | `REDELIVERY_ATTEMPTS_DEFAULT`
`static String` | `REDELIVERY_ATTEMPTS_PROPERTY`
`static String` | `ROOT_PROPERTY`
`static long` | `TARGET_SCAN_TIMEOUT_DEFAULT`
`static String` | `TARGET_SCAN_TIMEOUT_PROPERTY`
`static String` | `TOPIC_CONNECTION_FACTORIES_PROPERTY`
`static String` | `XA_CONNECTION_FACTORIES_PROPERTY`
`static String` | `XA_QUEUE_CONNECTION_FACTORIES_PROPERTY`
`static String` | `XA_TOPIC_CONNECTION_FACTORIES_PROPERTY`

Constructor Summary
`Configuration(CommonBean primaryBean, CommonBean resourceAdapter)`
`Configuration(Map environment)`

Method Summary
`boolean` | `doesConnectionFactoryExist(String name)`
`boolean` | `doesQueueConnectionFactoryExist(String name)`
`boolean` | `doesTopicConnectionFactoryExist(String name)`
`boolean` | `doesXAConnectionFactoryExist(String name)`
`boolean` | `doesXAQueueConnectionFactoryExist(String name)`
`boolean` | `doesXATopicConnectionFactoryExist(String name)`
`boolean` | `equals(Object obj)`
`String` | `getClientId()`
`FileSystem` | `getFileSystem()`
`MessageTranscoderFactory` | `getMessageTranscoderFactory()`
`long` | `getPollingInterval()`
`int` | `getRedeliveryAttempts()`
`File` | `getRootDir()`
`long` | `getTargetScanTimeout()`
`int` | `hashCode()`
`boolean` | `isConsumeExpiredMessages()`
`boolean` | `isDeleteCompleteTransactions()`
`boolean` | `isDeleteExpiredMessages()`
`boolean` | `isDeleteProcessedMessages()`
`boolean` | `isPreserveDeletedDropboxes()`
`static String` | `lookupSubProperties(String value)`
`static Properties` | `lookupSubPropertiesForProperties(Map properties)`
`protected String` | `toObjectString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PACKAGE

    public static final String PACKAGE

See Also:
  Constant Field Values

### INITIAL_CONTEXT_FACTORY

    public static final String INITIAL_CONTEXT_FACTORY

See Also:
  Constant Field Values

### CONNECTION_FACTORIES_PROPERTY

    public static final String CONNECTION_FACTORIES_PROPERTY

See Also:
  Constant Field Values

### QUEUE_CONNECTION_FACTORIES_PROPERTY

    public static final String QUEUE_CONNECTION_FACTORIES_PROPERTY

See Also:
  Constant Field Values

### TOPIC_CONNECTION_FACTORIES_PROPERTY

    public static final String TOPIC_CONNECTION_FACTORIES_PROPERTY

See Also:
  Constant Field Values

### XA_CONNECTION_FACTORIES_PROPERTY

    public static final String XA_CONNECTION_FACTORIES_PROPERTY

See Also:
  Constant Field Values

### XA_QUEUE_CONNECTION_FACTORIES_PROPERTY

    public static final String XA_QUEUE_CONNECTION_FACTORIES_PROPERTY

See Also:
  Constant Field Values

### XA_TOPIC_CONNECTION_FACTORIES_PROPERTY

    public static final String XA_TOPIC_CONNECTION_FACTORIES_PROPERTY

See Also:
  Constant Field Values

### DEFAULT_CONNECTION_FACTORY_NAME

    public static final String DEFAULT_CONNECTION_FACTORY_NAME

See Also:
  Constant Field Values

### DEFAULT_QUEUE_CONNECTION_FACTORY_NAME

    public static final String DEFAULT_QUEUE_CONNECTION_FACTORY_NAME

See Also:
  Constant Field Values

### DEFAULT_TOPIC_CONNECTION_FACTORY_NAME

    public static final String DEFAULT_TOPIC_CONNECTION_FACTORY_NAME

See Also:
  Constant Field Values

### DEFAULT_XA_CONNECTION_FACTORY_NAME

    public static final String DEFAULT_XA_CONNECTION_FACTORY_NAME

See Also:
  Constant Field Values

### DEFAULT_XA_QUEUE_CONNECTION_FACTORY_NAME

    public static final String DEFAULT_XA_QUEUE_CONNECTION_FACTORY_NAME

See Also:
  Constant Field Values

### DEFAULT_XA_TOPIC_CONNECTION_FACTORY_NAME

    public static final String DEFAULT_XA_TOPIC_CONNECTION_FACTORY_NAME

See Also:
  Constant Field Values

### ROOT_PROPERTY

    public static final String ROOT_PROPERTY

See Also:
  Constant Field Values

### CLIENT_ID_PROPERTY

    public static final String CLIENT_ID_PROPERTY

See Also:
  Constant Field Values

### POLLING_INTERVAL_PROPERTY

    public static final String POLLING_INTERVAL_PROPERTY

See Also:
  Constant Field Values

### TARGET_SCAN_TIMEOUT_PROPERTY

    public static final String TARGET_SCAN_TIMEOUT_PROPERTY

See Also:
  Constant Field Values

### MESSAGE_TRANSCODER_FACTORY_PROPERTY

    public static final String MESSAGE_TRANSCODER_FACTORY_PROPERTY

See Also:
  Constant Field Values

### REDELIVERY_ATTEMPTS_PROPERTY

    public static final String REDELIVERY_ATTEMPTS_PROPERTY

See Also:
  Constant Field Values

### DELETE_PROCESSED_MESSAGES_PROPERTY

    public static final String DELETE_PROCESSED_MESSAGES_PROPERTY

See Also:
  Constant Field Values

### DELETE_EXPIRED_MESSAGES_PROPERTY

    public static final String DELETE_EXPIRED_MESSAGES_PROPERTY

See Also:
  Constant Field Values

### DELETE_COMPLETED_TRANSACTIONS_PROPERTY

    public static final String DELETE_COMPLETED_TRANSACTIONS_PROPERTY

See Also:
  Constant Field Values

### PRESERVE_DELETED_DROPBOXES_PROPERTY

    public static final String PRESERVE_DELETED_DROPBOXES_PROPERTY

See Also:
  Constant Field Values

### CONSUME_EXPIRED_MESSAGES_PROPERTY

    public static final String CONSUME_EXPIRED_MESSAGES_PROPERTY

See Also:
  Constant Field Values

### POLLING_INTERVAL_DEFAULT

    public static final long POLLING_INTERVAL_DEFAULT

See Also:
  Constant Field Values

### TARGET_SCAN_TIMEOUT_DEFAULT

    public static final long TARGET_SCAN_TIMEOUT_DEFAULT

See Also:
  Constant Field Values

### REDELIVERY_ATTEMPTS_DEFAULT

    public static final int REDELIVERY_ATTEMPTS_DEFAULT

See Also:
  Constant Field Values

### DELETE_PROCESSED_MESSAGES_DEFAULT

    public static final boolean DELETE_PROCESSED_MESSAGES_DEFAULT

See Also:
  Constant Field Values

### DELETE_EXPIRED_MESSAGES_DEFAULT

    public static final boolean DELETE_EXPIRED_MESSAGES_DEFAULT

See Also:
  Constant Field Values

### DELETE_COMPLETE_TRANSACTIONS_DEFAULT

    public static final boolean DELETE_COMPLETE_TRANSACTIONS_DEFAULT

See Also:
  Constant Field Values

### PRESERVE_DELETED_DROPBOXES_DEFAULT

    public static final boolean PRESERVE_DELETED_DROPBOXES_DEFAULT

See Also:
  Constant Field Values

### CONSUME_EXPIRED_MESSAGES_DEFAULT

    public static final boolean CONSUME_EXPIRED_MESSAGES_DEFAULT

See Also:
  Constant Field Values

Constructor Detail

### Configuration

    public Configuration(Map environment)
                  throws NamingException

Throws:
  `NamingException`

### Configuration

    public Configuration(CommonBean primaryBean,
                         CommonBean resourceAdapter)
                  throws InvalidPropertyException

Throws:
  `InvalidPropertyException`

Method Detail

### lookupSubPropertiesForProperties

    public static Properties lookupSubPropertiesForProperties(Map properties)

### lookupSubProperties

    public static String lookupSubProperties(String value)

### doesConnectionFactoryExist

    public boolean doesConnectionFactoryExist(String name)

### doesQueueConnectionFactoryExist

    public boolean doesQueueConnectionFactoryExist(String name)

### doesTopicConnectionFactoryExist

    public boolean doesTopicConnectionFactoryExist(String name)

### doesXAConnectionFactoryExist

    public boolean doesXAConnectionFactoryExist(String name)

### doesXAQueueConnectionFactoryExist

    public boolean doesXAQueueConnectionFactoryExist(String name)

### doesXATopicConnectionFactoryExist

    public boolean doesXATopicConnectionFactoryExist(String name)

### getRootDir

    public File getRootDir()

### getClientId

    public String getClientId()

### getPollingInterval

    public long getPollingInterval()

### getTargetScanTimeout

    public long getTargetScanTimeout()

### getRedeliveryAttempts

    public int getRedeliveryAttempts()

### isDeleteProcessedMessages

    public boolean isDeleteProcessedMessages()

### isDeleteExpiredMessages

    public boolean isDeleteExpiredMessages()

### isDeleteCompleteTransactions

    public boolean isDeleteCompleteTransactions()

### isPreserveDeletedDropboxes

    public boolean isPreserveDeletedDropboxes()

### isConsumeExpiredMessages

    public boolean isConsumeExpiredMessages()

### getMessageTranscoderFactory

    public MessageTranscoderFactory getMessageTranscoderFactory()

### getFileSystem

    public FileSystem getFileSystem()

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toObjectString

    protected final String toObjectString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD